Class | RUNIT::TestSuite
In: | runit/testsuite.rb
Parent: | Test::Unit::TestSuite

### Methods

add add_test count_test_cases run

### Public Instance methods

add(*args)

[Source]

    # File runit/testsuite.rb, line 13
        def add(*args)
          self.<<(*args)
        end

add_test(*args)

[Source]

    # File runit/testsuite.rb, line 9
        def add_test(*args)
          add(*args)
        end

count_test_cases()

[Source]

    # File runit/testsuite.rb, line 17
        def count_test_cases
          return size
        end

run(result, &progress_block)

[Source]

    # File runit/testsuite.rb, line 21
        def run(result, &progress_block)
          progress_block = proc {} unless (block_given?)
          super(result, &progress_block)
        end

[Validate]